newt_finished
newt_form_add_components
Newt Functions
PHP Manual

# newt_form_add_component

Adds a single component to the form

### Description

void newt_form_add_component ( resource `$form` , resource `$component` )

Adds a single component to the `form`.

### Parameters

`form`

  Form to which component will be added

`component`

  Component to add to the form

### Return Values

No value is returned.

### Examples

Example #1 A newt_form_add_component example

`<?php
$form = newt_form();
$options = array("Authentication configuration", "Firewall configuration",
"Mouse configuration", "Network configuration", "Printer configuration",
"System services");
$list = newt_listbox(3, 2, 10);
foreach ($options as $l_item) {
newt_listbox_add_entry($list, $l_item, $l_item);
}
newt_form_add_component($form, $list);
?>`

### See Also

- newt_form_add_components